<?php 

session_start();

//ini_set('display_errors',1);

date_default_timezone_set('America/Lima');

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");

require_once ("../servicio/cServicio.php");
$oServicio = new cServicio();

//--------------------------------------------

require_once("../usuario/cUsuario.php");
$oUsuario = new cUsuario();


require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
require_once ("../notacredito/cNotacredito.php");
$oNotacredito = new cNotacredito();

require_once ("../notadebito/cNotadebito.php");
$oNotadebito = new cNotadebito();
require_once ("../guiaremision/cGuiaremision.php");
$oGuiaremision = new cGuiaremision();
require_once("../formatos/formato.php");


function ultimoInsert(){
	$oCado = new Cado();
	$rst = $oCado->ejecute_sql("SELECT last_insert_id() AS id");
	return mysqli_fetch_assoc($rst)['id'];
}



if($_POST['action']=='validar'){

	$dts = $oUsuario->verificaClave($_SESSION['usuario_id'],$_POST['cla']);	
	$row = mysqli_num_rows($dts);

	
if($_POST['vis']=='traspaso'){

	if($row>0){
		
		
		
		
		
		
	
	}else{
		$data['ser_msj']='Clave ingresada no aceptada.';
		$data['ser_est']='0';
	}
	
	
	
	
	
	
	
	
	
	
}else if($_POST['vis']=='venta'){
	if($row>0){
		$data['ser_msj']='Usuario verificado y aceptado';
		$data['ser_est']='1';
		$est = 1;
		$oVenta->act_sunat($_POST['modide'],$est);
		
		
	}else{
		$data['ser_msj']='Clave ingresada no aceptada.';
		$data['ser_est']='0';
	}
}else if($_POST['vis']=='guia'){
	if($row>0){
		$data['ser_msj']='Usuario verificado y aceptado';
		$data['ser_est']='1';
		$est = 1;
		$oGuiaremision->act_sunat($_POST['modide'],$est);
		
		
	}else{
		$data['ser_msj']='Clave ingresada no aceptada.';
		$data['ser_est']='0';
	}
}else if($_POST['vis']=='nc'){
	if($row>0){
		$data['ser_msj']='Usuario verificado y aceptado';
		$data['ser_est']='1';
		$est = 1;
		$oNotacredito->act_sunat($_POST['modide'],$est);
		
		
	}else{
		$data['ser_msj']='Clave ingresada no aceptada.';
		$data['ser_est']='0';
	}
}

	echo json_encode($data);
		
}



?>